Name:           nikto
Version:        1.36
Release:        3%{?dist}
Summary:        Web server scanner 

Group:          Applications/Internet
License:        Custom, see LICENSE.txt
URL:            http://www.cirt.net/code/nikto.shtml
Source0:        http://www.cirt.net/nikto/%{name}-%{version}.tar.bz2
#use system libwhisker
Source1:        nikto-database-license.txt
Patch0:         nikto-1.36-libwhisker.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       nmap


%description
Nikto is a web server scanner which performs comprehensive tests against web
servers for multiple items, including over 3300 potentially dangerous
files/CGIs, versions on over 625 servers, and version specific problems
on over 230 servers. Scan items and plugins are frequently updated and
can be automatically updated (if desired).

%prep
%setup -q
%patch0 -p1

#change configfile path
sed -i "s:$CFG{configfile}=\"config.txt\":$CFG{configfile}=\"%{_sysconfdir}/nikto/config\":" nikto.pl
#enable nmap by default and set plugindir path
sed -i "s:#NMAP=/usr/bin/nmap:NMAP=%{_bindir}/nmap:;
        s:# PLUGINDIR=/usr/local/nikto/plugins:PLUGINDIR=%{_datadir}/nikto/plugins:" config.txt

%build
#no build required


%install
rm -rf $RPM_BUILD_ROOT
cp %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/database-license.txt
install -pD nikto.pl $RPM_BUILD_ROOT%{_bindir}/nikto
install -m 0644 -pD docs/nikto-%{version}.man $RPM_BUILD_ROOT%{_mandir}/man1/nikto.1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/nikto/plugins/
install -m 0644 -p plugins/* $RPM_BUILD_ROOT%{_datadir}/nikto/plugins/
install -m 0644 -pD config.txt $RPM_BUILD_ROOT%{_sysconfdir}/nikto/config

#remove unneeded files
rm -f $RPM_BUILD_ROOT%{_datadir}/nikto/plugins/LW.pm

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/CHANGES.txt docs/LICENSE.txt docs/README_plugins.txt database-license.txt
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/nikto
%{_datadir}/nikto
%{_mandir}/man?/*


%changelog
* Wed May 30 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.36-3
- Add sed magic to really replace nikto-1.36-config.patch
* Mon May 28 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.36-2
- Remove libwhisker Requires
- Replace configfile patch with sed magic
- Update License
- Add database-license.txt to %%doc
* Fri May 04 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.36-1
- Initial build
